import { AnyAction } from 'redux';
import { OpsBlueprint, OpsBlueprintFn } from './typedefs';
export interface MovieFetcherOp extends OpsBlueprint {
    readonly start: OpsBlueprintFn<typeof fetchMovies>;
    readonly success: OpsBlueprintFn<typeof didFetchMovies>;
}
export declare const movies: {
    id: number;
    name: string;
}[];
export declare const FETCH_MOVIES = "FETCH_MOVIES";
export declare function fetchMovies(genre: string, page?: number): AnyAction;
export declare function didFetchMovies(movies: object): AnyAction;
