import { OpsBlueprintOriginalAction, OpsBlueprintAction, OpsBlueprint, OpsBlueprintActionComposers } from './typedefs';
import { OperationAction, DeleteOperationAction, OpId } from '../typedefs';
export declare function createBlueprintAction(op: OperationAction | DeleteOperationAction, action?: OpsBlueprintOriginalAction | null): OpsBlueprintAction;
export declare function composeBlueprint<T extends OpsBlueprint>(blueprint: T, composer: Function): T;
export declare function createBlueprint<T extends OpsBlueprint>(id: OpId, composers?: OpsBlueprintActionComposers): T;
export declare function opsUnique<T extends OpsBlueprint | OpsBlueprintAction>(blueprint: T, uniqueValue?: OpsBlueprintAction | OpId): T;
export declare function opsBroadcast<T extends OpsBlueprint | OpsBlueprintAction>(blueprint: T): T;
export declare function getUniqueId(action: OpsBlueprintOriginalAction): OpId | undefined;
