import { OpsState, Ops, Operation, OpId } from './typedefs';
export declare function setReducerName(name: string): void;
export declare function getOpsState<T>(state: T): OpsState;
export declare function getOps<T, TData>(state: T): Ops<TData>;
export declare function getOpById<T, TData>(state: T, id: OpId): Operation<TData> | undefined;
export declare function getOpByIds<T, TData>(state: T, ids: OpId[]): Ops<TData>;
export declare function searchOps<T, TData>(state: T, query: string | RegExp): Ops<TData> | undefined;
