import { Operation, OpStatus, Ops, OpId } from './typedefs';
export declare function createOperation<TData = any>(id: OpId, status?: OpStatus, data?: TData): Operation<TData>;
export declare function getOpById<TData = any>(ops: Ops<TData>, id: OpId): Operation<TData> | undefined;
export declare function getOpByIds<TData = any>(ops: Ops<TData>, ids: OpId[]): Ops<TData>;
export declare function searchOps<TData = any>(ops: Ops<TData>, query: string | RegExp): Ops<TData>;
